libncursesw-6.1.20180407-alt2.i586.rpm


Advertisement

Description

libncursesw - A CRT screen handling and optimization libraries with wide character support

Property Value
Distribution ALT Linux Sisyphus
Repository Classic i586
Package filename libncursesw-6.1.20180407-alt2.i586.rpm
Package name libncursesw
Package version 6.1.20180407
Package release alt2
Package architecture i586
Package type rpm
Category System/Libraries
Homepage -
License -
Maintainer -
Download size 347.87 KB
Installed size 347.87 KB
The curses library routines are a terminal-independent method of updating
character screens with reasonable optimization.  The ncurses (new curses)
library is a freely distributable replacement for the discontinued 4.4BSD
classic curses library.
This package contains a ncurses library with wide character support.

Alternatives

Package Version Architecture Repository
libncursesw-6.1.20180407-alt2.x86_64.rpm 6.1.20180407 x86_64 Classic
libncursesw - - -

Requires

Name Value
libgpm.so.1 -
libtinfo = 6.1.20180407-alt2:sisyphus+222164.200.1.1
rpmlib(PayloadIsLzma) -

Provides

Name Value
libformw.so.5 -
libmenuw.so.5 -
libncursesw = 6.1.20180407-alt2:sisyphus+222164.200.1.1
libncursesw.so.5 -
libpanelw.so.5 -

Download

Type URL
Mirror ftp.altlinux.org
Binary Package libncursesw-6.1.20180407-alt2.i586.rpm
Source Package ncurses-6.1.20180407-alt2.src.rpm

Install Howto

  1. Add the following line to /etc/apt/sources.list:
    
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/Sisyphus i586 classic
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/Sisyphus noarch classic
    
  2. Update the package index:
    # sudo apt-get update
  3. Install libncursesw rpm package:
    # sudo apt-get install libncursesw

Files

Path
/usr/lib/libformw.so.5
/usr/lib/libformw.so.5.9
/usr/lib/libmenuw.so.5
/usr/lib/libmenuw.so.5.9
/usr/lib/libncursesw.so.5
/usr/lib/libncursesw.so.5.9
/usr/lib/libpanelw.so.5
/usr/lib/libpanelw.so.5.9

Changelog

2018-10-29 - Andrew Savchenko <bircoph@altlinux.org> 6.1.20180407-alt2
- Move {screen,st,Eterm}-256color*, st to the base terms set.
2018-04-16 - Fr. Br. George <george@altlinux.ru> 6.1.20180407-alt1
- Major version update
2018-04-16 - Fr. Br. George <george@altlinux.ru> 5.9-alt11
- Fix relative path linking
2017-10-24 - Dmitry V. Levin <ldv@altlinux.org> 5.9-alt10
- libncurses: compressed NEWS file.
2017-09-12 - Fr. Br. George <george@altlinux.ru> 5.9-alt9
- Remove circular buildreqs
2016-02-29 - Fr. Br. George <george@altlinux.ru> 5.9-alt8
- Rebuild with new GCC
2015-09-16 - Fr. Br. George <george@altlinux.ru> 5.9-alt7
- Package .pc files (Closes: #30312)
2015-09-14 - Fr. Br. George <george@altlinux.ru> 5.9-alt6
- Update to 5.9-20141206
2015-07-16 - Fr. Br. George <george@altlinux.ru> 5.9-alt5
- Change packaging scheme
2013-07-02 - Fr. Br. George <george@altlinux.ru> 5.9-alt4
- Thanks asdus@ for tuning this up
- Version up to 5.9-20130622
- Enable C++ bindings

See Also

Package Description
libncursesw-devel-6.1.20180407-alt2.i586.rpm Development files for applications which use ncurses (widechar version)
libncursesxx-0.0.1-alt17.i586.rpm C++ bindings for ncurses library
libncursesxx-devel-0.0.1-alt17.i586.rpm Development part of libncursesxx
libncursesxx-devel-static-0.0.1-alt17.i586.rpm Static libraries for libncursesxx
libndctl-65-alt1.i586.rpm Management library for "libnvdimm" subsystem devices (Non-volatile Memory)
libndctl-devel-65-alt1.i586.rpm Development files for libndctl
libndp-1.7-alt1.i586.rpm Library for Neighbor Discovery Protocol
libndp-devel-1.7-alt1.i586.rpm Development files for libndp
libndp-utils-1.7-alt1.i586.rpm Utils for libndp
libneXtaw-0.15.1-alt8.i586.rpm Modified version of the Athena Widgets with N*XTSTEP appearance
libneXtaw-devel-0.15.1-alt8.i586.rpm Header files for neXtaw library
libneko-2.2.0-alt4.gitb68336c.i586.rpm The Neko Programming Language
libneko-devel-2.2.0-alt4.gitb68336c.i586.rpm The Neko Programming Language
libnemesi-0.7.0-alt3_0.5.20110215git.i586.rpm RTSP/RTP client library
libnemesi-devel-0.7.0-alt3_0.5.20110215git.i586.rpm Nemesi development library and headers
Advertisement
Advertisement